summaryrefslogtreecommitdiffstats
path: root/network/awstats/awstats.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/awstats/awstats.SlackBuild')
-rw-r--r--network/awstats/awstats.SlackBuild17
1 files changed, 9 insertions, 8 deletions
diff --git a/network/awstats/awstats.SlackBuild b/network/awstats/awstats.SlackBuild
index 0b1e06b999..63613e74cd 100644
--- a/network/awstats/awstats.SlackBuild
+++ b/network/awstats/awstats.SlackBuild
@@ -3,7 +3,7 @@
# Slackware Package Build Script for awstats
# Home Page http://awstats.sourceforge.net/
-# Copyright (c) 2009-2013, Nishant Limbachia, Hoffman Estates, IL, USA
+# Copyright (c) 2009-2014, Nishant Limbachia, Hoffman Estates, IL, USA
# <nishant _AT_ mnspace _DOT_ net>
# All rights reserved.
#
@@ -28,8 +28,9 @@
# Modified by the SlackBuilds.org project.
PRGNAM="awstats"
-VERSION=${VERSION:-7.2}
-ARCH=noarch # hardcode ARCH
+VERSION=${VERSION:-7.3}
+# hardcode ARCH
+ARCH=noarch
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -43,7 +44,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -eu
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -53,10 +54,10 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# Patch httpd_conf file supplied by awstats to correct paths
sed s:@DOCROOT@:$DOCROOT: $CWD/patches/httpd-awstats.conf.patch | patch -p0